Bug 815055 - EPEL 6 FTBFS python-keystoneclient-2012.1-1.el6
Summary: EPEL 6 FTBFS python-keystoneclient-2012.1-1.el6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-keystoneclient
Version: el6
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Alan Pevec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-22 08:57 UTC by Tuomo Soini
Modified: 2012-05-04 15:58 UTC (History)
4 users (show)

Fixed In Version: openstack-quantum-2012.1-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-04 15:58:52 UTC


Attachments (Terms of Use)
Attached patch changed theme to basic so package can be build (640 bytes, patch)
2012-04-22 08:57 UTC, Tuomo Soini
no flags Details | Diff

Description Tuomo Soini 2012-04-22 08:57:45 UTC
Created attachment 579268 [details]
Attached patch changed theme to basic so package can be build

Description of problem:

python-keystoneclient provided in epel6 doesn't build. 

Version-Release number of selected component (if applicable):

2012.1-1.el6

How reproducible:

Always. Error from build log:

Running Sphinx v0.6.6
Making output directory...
Theme error:
no theme named 'nature' found (missing theme.conf?)
RPM build errors:

Problem is sphinx 0.6.6 provided with el6 doesn't have theme nature which is hardcoded.

Comment 1 Alan Pevec 2012-04-27 13:39:56 UTC
We actually have parallel installable python-sphinx10 in EPEL 6 and all other Openstack packages in EPEL use it to build docs.
http://pkgs.fedoraproject.org/gitweb/?p=python-keystoneclient.git;a=commitdiff;h=cd6fef97ad87c6eb3e53759fb944b4727f985075

Comment 2 Fedora Update System 2012-04-27 13:50:01 UTC
python-keystoneclient-2012.1-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-keystoneclient-2012.1-2.el6

Comment 3 Fedora Update System 2012-04-27 16:27:56 UTC
openstack-quantum-2012.1-2.el6, python-routes1.12-1.12.3-4.el6, python-paste-deploy1.5-1.5.0-5.el6, python-novaclient-2012.1-1.el6, python-django-horizon-2012.1-3.el6, openstack-swift-1.4.8-2.el6, openstack-keystone-2012.1-2.el6, openstack-glance-2012.1-5.el6, openstack-nova-2012.1-4.el6, openstack-utils-2012.1-1.el6, python-quantumclient-2012.1-2.el6, python-keystoneclient-2012.1-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/openstack-utils-2012.1-1.el6,python-quantumclient-2012.1-2.el6,python-keystoneclient-2012.1-2.el6,openstack-quantum-2012.1-2.el6,python-routes1.12-1.12.3-4.el6,python-paste-deploy1.5-1.5.0-5.el6,python-novaclient-2012.1-1.el6,python-django-horizon-2012.1-3.el6,openstack-swift-1.4.8-2.el6,openstack-keystone-2012.1-2.el6,openstack-glance-2012.1-5.el6,openstack-nova-2012.1-4.el6

Comment 4 Fedora Update System 2012-04-27 23:08:40 UTC
Package openstack-quantum-2012.1-2.el6, python-routes1.12-1.12.3-4.el6, python-paste-deploy1.5-1.5.0-5.el6, python-novaclient-2012.1-1.el6, python-django-horizon-2012.1-3.el6, openstack-swift-1.4.8-2.el6, openstack-keystone-2012.1-2.el6, openstack-glance-2012.1-5.el6, openstack-nova-2012.1-4.el6, openstack-utils-2012.1-1.el6, python-quantumclient-2012.1-2.el6, python-keystoneclient-2012.1-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing openstack-quantum-2012.1-2.el6 python-routes1.12-1.12.3-4.el6 python-paste-deploy1.5-1.5.0-5.el6 python-novaclient-2012.1-1.el6 python-django-horizon-2012.1-3.el6 openstack-swift-1.4.8-2.el6 openstack-keystone-2012.1-2.el6 openstack-glance-2012.1-5.el6 openstack-nova-2012.1-4.el6 openstack-utils-2012.1-1.el6 python-quantumclient-2012.1-2.el6 python-keystoneclient-2012.1-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-5719/openstack-utils-2012.1-1.el6,python-quantumclient-2012.1-2.el6,python-keystoneclient-2012.1-2.el6,openstack-quantum-2012.1-2.el6,python-routes1.12-1.12.3-4.el6,python-paste-deploy1.5-1.5.0-5.el6,python-novaclient-2012.1-1.el6,python-django-horizon-2012.1-3.el6,openstack-swift-1.4.8-2.el6,openstack-keystone-2012.1-2.el6,openstack-glance-2012.1-5.el6,openstack-nova-2012.1-4.el6
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2012-04-30 18:32:52 UTC
Package openstack-quantum-2012.1-2.el6, python-routes1.12-1.12.3-4.el6, python-paste-deploy1.5-1.5.0-5.el6, python-novaclient-2012.1-1.el6, python-django-horizon-2012.1-3.el6, openstack-swift-1.4.8-2.el6, openstack-glance-2012.1-5.el6, openstack-nova-2012.1-4.el6, openstack-utils-2012.1-1.el6, python-quantumclient-2012.1-2.el6, python-keystoneclient-2012.1-2.el6, openstack-keystone-2012.1-3.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing openstack-quantum-2012.1-2.el6 python-routes1.12-1.12.3-4.el6 python-paste-deploy1.5-1.5.0-5.el6 python-novaclient-2012.1-1.el6 python-django-horizon-2012.1-3.el6 openstack-swift-1.4.8-2.el6 openstack-glance-2012.1-5.el6 openstack-nova-2012.1-4.el6 openstack-utils-2012.1-1.el6 python-quantumclient-2012.1-2.el6 python-keystoneclient-2012.1-2.el6 openstack-keystone-2012.1-3.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-5719/openstack-utils-2012.1-1.el6,python-quantumclient-2012.1-2.el6,python-keystoneclient-2012.1-2.el6,openstack-quantum-2012.1-2.el6,python-routes1.12-1.12.3-4.el6,python-paste-deploy1.5-1.5.0-5.el6,python-novaclient-2012.1-1.el6,python-django-horizon-2012.1-3.el6,openstack-swift-1.4.8-2.el6,openstack-keystone-2012.1-3.el6,openstack-glance-2012.1-5.el6,openstack-nova-2012.1-4.el6
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2012-05-04 15:58:52 UTC
openstack-quantum-2012.1-2.el6, python-routes1.12-1.12.3-4.el6, python-paste-deploy1.5-1.5.0-5.el6, python-novaclient-2012.1-1.el6, python-django-horizon-2012.1-3.el6, openstack-swift-1.4.8-2.el6, openstack-glance-2012.1-5.el6, openstack-nova-2012.1-4.el6, openstack-utils-2012.1-1.el6, python-quantumclient-2012.1-2.el6, python-keystoneclient-2012.1-2.el6, openstack-keystone-2012.1-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.